Subject: Re: [RFC PATCH net-next 2/7] net: ethtool: add support for Frame Preemption and MAC Merge layer

From: Jakub Kicinski <[email-masked]>
Date: Wed, 17 Aug 2022 11:35:18 -0700

On Wed, 17 Aug 2022 11:41:01 +0000 Vladimir Oltean wrote:
> > > +	nest_table = nla_nest_start(skb, ETHTOOL_A_FP_PARAM_TABLE);
> > > +	if (!nest_table)
> > > +		return -EMSGSIZE;  
> > 
> > Don't warp tables in nests, let the elements repeat in the parent.  
> 
> Ok, can do. I did this because 802.1Q actually specifies in the
> IEEE8021-Preemption-MIB that there is a ieee8021PreemptionParameterTable
> structure containing pairs of ieee8021PreemptionPriority and
> ieee8021FramePreemptionAdminStatus.

Yeah, netlink is a bit special in array definition. I need to document
it well in my YAML netlink patches..

> Do you have actual issues with the structuring of the FP parameters
> though? They look like this currently

IDK how to put it best, I shared my largely uninformed thoughts, you
know much more about the spec and HW so whatever you think is most
appropriate is fine by me.